@import url(https://fonts.googleapis.com/css?family=Poppins:100,100italic,200,200italic,300,300italic,regular,italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic);

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins','sans-serif';
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #E3F2FD;
}

.wrapper{
    padding: 2.2em 2.5em;
    border-radius: 25px;
    background-color: #141414;
}

.wrapper header{
    display: flex;
    color: #B2B2B2;
    align-items: center;
    justify-content: space-between;
}

header h2{
    font-size: 1.5rem;
}

header .column{
    display: flex;
    align-items: center;
}

header span{
    font-weight: 500;
    margin-right: 1em;
    font-size: 1.2rem;
}

.volume-slider input{
    accent-color: #fff;
}

header input{
    border-radius: 30px;
}

.keys-checkbox input{
    height: 30px;
    width: 60px;
    cursor: pointer;
    appearance: none;
    position: relative;
    background-color: #4B4B4B;
}

.keys-checkbox input::before{
    content: '';
    position: absolute;
    top: 50%;
    left: 5px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #8c8c8c;
    transform: translateY(-50%);
    transition: all 0.3s ease;
}

.keys-checkbox input:checked::before{
    left: 35px;
    background-color: #fff;
}

.piano-keys{
    display: flex;
    list-style: none;
    color: #fff;
    margin-top: 3em;
}

.piano-keys .key{
    cursor: pointer;
    user-select: none;
    position: relative;
    text-transform: uppercase;
}

.piano-keys .black{
    z-index: 2;
    width: 44px;
    height: 140px;
    margin: 0 -22px;
    border-radius: 0 0 5px 5px;
    background: linear-gradient(#333,#000)
}

.piano-keys .black .active{
    box-shadow: inset -5px -10px 10px rgba(255,255,255,0.1);
    background: linear-gradient(to bottom,#000,#434343);
}

.piano-keys .white{
    height: 230px;
    width: 70px;
    border-radius: 8px;
    border: 1px solid #000;
    background: linear-gradient(#fff 96%, #eee 4%);
}

.piano-keys .white.active{
    box-shadow: inset -5px 5px 20px rgba(0,0,0,0.2);
    background: linear-gradient(to bottom, #fff 0%, #eee 100%);
}

.piano-keys .key span{
    position: absolute;
    bottom: 20px;
    width: 100%;
    color: #A2A2A2;
    font-size: 1.2rem;
    text-align: center;
}

.piano-keys .key.hide span{
    display: none;
}

@media screen and (max-width: 815px){
    .wrapper{
        padding: 25px;
    }
    header{
        flex-direction: column;
    }
    header :where(h2,.column){
        margin-bottom: 13px;
    }
    .volume-slider input{
        max-width: 100px;
    }
    .piano-keys{
        margin-top: 20px;
    }
    .piano-keys .key:where(:nth-child(9), :nth-child(10)){
        display: none;
    }
    .piano-keys .black{
        height: 100px;
        width: 40px;
        margin: 0 -20px;
    }
    .piano-keys .white{
        height: 180px;
        width: 60px;
    }

    @media screen and (max-width: 615px) {
        .piano-keys .key:nth-child(11),
        .piano-keys .key:nth-child(12),
        .piano-keys .key:nth-child(13),
        .piano-keys .key:nth-child(14),
        .piano-keys .key:nth-child(15),
        .piano-keys .key:nth-child(16),
        .piano-keys .key:nth-child(17){
            display: none;
        }
        .piano-keys .key:nth-child(9),.piano-keys .key:nth-child(10){
            display: block;
        }
        .piano-keys .white{
            width: 50px;
        }
    }
    
}